## blag-fortune 1.2

=== Makefile ===

SRC	= people
FEDORA	= /usr/share/games/fortune/
DEBIAN	= /usr/share/games/fortunes/
DISTRO	= FEDORA
TARGET	= $($(DISTRO))

all:		anarchism.dat

anarchism.dat:	anarchism
		@strfile anarchism

anarchism:;	@cat $(SRC)/* > anarchism

clean:;		@echo "cleaning"
		@rm -f anarchism.dat anarchism

install:	all
		cp anarchism $(TARGET)
		cp anarchism.dat $(TARGET)

uninstall:;	rm $(TARGET)/anarchism
		rm $(TARGET)/anarchism.dat

=== debian/changelog ===
blag-fortune (1.2-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #981060) (Closes: #979530)
  * Switch to debhelper-compat (= 13).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Jan 2021 03:37:50 +0100

blag-fortune (1.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 13:57:07 +0100

blag-fortune (1.2-1) unstable; urgency=low

  * Initial release. (Closes: #870879)

 -- Valerie R Young <spectranaut@riseup.net>  Sat, 05 Aug 2017 15:41:15 -0400

=== debian/control ===
Source: blag-fortune
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 fortune-mod,
Rules-Requires-Root: no
Standards-Version: 4.0.1
Homepage: https://notabug.org/PangolinTurtle/BLAG-fortune

Package: fortune-anarchism
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Recommends: fortune-mod
Suggests: anarchism
Description: anarchist quotes for fortune
 This package provides a set of anarchist quotes in the fortune database format.

=== debian/watch ===
version=4
opts="filenamemangle=s/\/PangolinTurtle\/BLAG-fortune\/archive\/(.*)\.tar\.gz/blag-fortune-$1.tar.gz/" \
https://notabug.org/PangolinTurtle/BLAG-fortune/releases \
.*/BLAG-fortune/archive/@ANY_VERSION@.tar.gz

## blag-fortune 1.8.0

=== Makefile ===

SRC	= people
TARGET	= $(DESTDIR)$(shell sh distro.sh $(distro))

all:		anarchism.dat

anarchism.dat:	anarchism
		@strfile anarchism

anarchism:	$(SRC)/*
		@cat $(SRC)/* > anarchism

clean:;		rm -f anarchism.dat anarchism

install:	all
		cp anarchism $(TARGET)
		cp anarchism.dat $(TARGET)

uninstall:;	rm $(TARGET)/anarchism
		rm $(TARGET)/anarchism.dat

=== debian/changelog ===
blag-fortune (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * Remove patch applied into upstream
  * Declare compliance with Debian Policy 4.6.0

 -- tous <touss@protonmail.com>  Mon, 07 Feb 2022 18:17:46 +0000

blag-fortune (1.5.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: export distro variable.
  * debian/patches:
    - Update patch that adds DESTDIR before installation location.
    - Add dep3 header
  * debian/control:
    - Add enhances: anarchism. (Closes: #872621)
    - Add Vcs-Browser and Vcs-Git.
  * New maintainer. (Closes: #981060)
  * Declare compliance with Debian Policy 4.5.1
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update debian/copyright
  * Remove empty Upstream-Contact field

 -- tous <touss@protonmail.com>  Thu, 03 Jun 2021 21:56:28 +0000

=== debian/control ===
Source: blag-fortune
Section: games
Priority: optional
Maintainer: tous <touss@protonmail.com>
Build-Depends:
 debhelper-compat (= 13),
 fortune-mod,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/blag-fortune
Vcs-Git: https://salsa.debian.org/debian/blag-fortune.git
Homepage: https://notabug.org/PangolinTurtle/BLAG-fortune

Package: fortune-anarchism
Architecture: all
Depends: ${misc:Depends}
Enhances: anarchism
Multi-Arch: foreign
Recommends: fortune-mod
Suggests: anarchism
Description: anarchist quotes for fortune
 This package provides a set of anarchist quotes in the fortune database format.

=== debian/rules ===
#!/usr/bin/make -f

export distro=debian

%:
	dh $@

## blag-fortune 1.9.0

=== debian/changelog ===
blag-fortune (1.9.0-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.2
  * New upstream version 1.9.0

 -- tous <touss@protonmail.com>  Thu, 08 Jun 2023 15:56:49 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  fortune-mod,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/blag-fortune
 Vcs-Git: https://salsa.debian.org/debian/blag-fortune.git
 Homepage: https://notabug.org/PangolinTurtle/BLAG-fortune
